# MySQL-Front Dump 1.22
#
# Host: 127.0.0.1 Database: example
#--------------------------------------------------------

CREATE DATABASE example;
USE example;
#GRANT ALL ON example TO test@localhost IDENTIFIED BY "test";

#
# Table structure for table 'Hersteller'
#

CREATE TABLE Hersteller (
  hnr smallint UNSIGNED NOT NULL AUTO_INCREMENT ,
  name varchar(30) NOT NULL ,
  ort varchar(32) NOT NULL ,
  PRIMARY KEY (hnr)
);


LOAD DATA INFILE "/INSERT/PATH/TO/sql/hersteller.txt" INTO TABLE Hersteller;

#
# Table structure for table 'Produkte'
#

CREATE TABLE Produkte (
  pnr smallint UNSIGNED NOT NULL AUTO_INCREMENT ,
  produkt varchar(30) NOT NULL ,
  preis int DEFAULT '0' ,
  hnr smallint UNSIGNED NOT NULL REFERENCES Hersteller(hnr) ,
  PRIMARY KEY (pnr)
);

LOAD DATA INFILE "/INSERT/PATH/TO/sql/produkte.txt" INTO TABLE Produkte;


